Ba lược đồ
Mỗi lược đồ là một đoạn văn bản ngắn mà điện thoại biết cách chuyển cho ứng dụng đúng. mailto: mở ứng dụng email, tel: mở bàn phím gọi và sms: mở ứng dụng nhắn tin, với người nhận và đôi khi cả nội dung đã điền sẵn.
Số điện thoại hoạt động tốt nhất ở định dạng quốc tế với dấu cộng và mã quốc gia, như +15035550123, để mã dùng được cho khách từ các nước khác.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (quy ước cũ hơn, vẫn được đọc rộng rãi)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (quy ước email cũ hơn)
Mã hóa nội dung tin nhắn
Tiêu đề và nội dung trong liên kết mailto và sms phải được mã hóa phần trăm, nên dấu cách thành %20 và dấu & trong văn bản thành %26. Các ký tự chưa mã hóa có thể cắt ngắn nội dung hoặc làm hỏng liên kết.
Các nền tảng không phải lúc nào cũng phân tích tham số body của sms giống hệt nhau, đó là một lý do dạng SMSTO: cũ hơn vẫn phổ biến trong các trình tạo mã QR. Thử trên cả iPhone và Android trước khi in là cách kiểm tra đáng tin cậy.
Những gì các mã này không làm được
Mã QR không thể tự gửi email, gửi tin nhắn hay thực hiện cuộc gọi. Nó chỉ mở ứng dụng với các trường đã điền sẵn, và người quét quyết định có nhấn gửi hay gọi không.
Vì người nhận hiển thị trước khi gửi, mọi người nên kiểm tra nó có khớp với điều mình mong đợi không. Mã điền sẵn tin nhắn đến số điện thoại tính phí cao hoặc một địa chỉ lạ là dấu hiệu cảnh báo.